Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly
Class JellyTagException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.jelly.JellyException
                  org.apache.commons.jelly.JellyTagException

All Implemented Interfaces:
  java.io.Serializable, LocationAware

Direct Known Subclasses:
  BreakException, MissingAttributeException

    public class JellyTagException

extends JellyException

A `JellyTagException` is an exception generated by a Tag implementation.

Version:
  $Revision: 155420 $
Author:
  Morgan Delagrange
See Also:
  Serialized Form

Constructor Summary
`JellyTagException()`
`JellyTagException(java.lang.String message)`
`JellyTagException(java.lang.String reason, java.lang.String fileName, java.lang.String elementName, int columnNumber, int lineNumber)`
`JellyTagException(java.lang.String message, java.lang.Throwable cause)`
`JellyTagException(java.lang.String reason, java.lang.Throwable cause, java.lang.String fileName, java.lang.String elementName, int columnNumber, int lineNumber)`
`JellyTagException(java.lang.Throwable cause)`
`JellyTagException(java.lang.Throwable cause, java.lang.String fileName, java.lang.String elementName, int columnNumber, int lineNumber)`

Method Summary

Methods inherited from class org.apache.commons.jelly.JellyException
`getCause, getColumnNumber, getElementName, getFileName, getLineNumber, getMessage, getReason, printStackTrace, printStackTrace, printStackTrace, setColumnNumber, setElementName, setFileName, setLineNumber`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JellyTagException

    public JellyTagException()

### JellyTagException

    public JellyTagException(java.lang.String message)

### JellyTagException

    public JellyTagException(java.lang.String message,
                             java.lang.Throwable cause)

### JellyTagException

    public JellyTagException(java.lang.Throwable cause)

### JellyTagException

    public JellyTagException(java.lang.Throwable cause,
                             java.lang.String fileName,
                             java.lang.String elementName,
                             int columnNumber,
                             int lineNumber)

### JellyTagException

    public JellyTagException(java.lang.String reason,
                             java.lang.Throwable cause,
                             java.lang.String fileName,
                             java.lang.String elementName,
                             int columnNumber,
                             int lineNumber)

### JellyTagException

    public JellyTagException(java.lang.String reason,
                             java.lang.String fileName,
                             java.lang.String elementName,
                             int columnNumber,
                             int lineNumber)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.